package com.hxhq.business.enums.zykgl;

/**
 * 存储状态：1：取出；3：存储
 * @author tanfei
 */
public enum CcztEnum {

    /**
     * 取出
     */
    Qc(1, "取出"),

    /**
     * 存储
     */
    Cc(3, "存储");

    private int value;
    private String text;

    CcztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static CcztEnum getEnumByValue(int type) {
        for (CcztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
